h2, h4 {
  text-align: center;
  text-transform: capitalize;
}

h3 {
  margin: 0;
  padding: 0.5rem 0 1rem;
  text-transform: capitalize;
}

ul {
  padding: 0;
  justify-content: center;
}

li {
  list-style-type: none;
}

.content-container {
  background-color: #fff;
  border-radius: 10px;
  min-height: 100vh;
  padding: 10px;
}

// Pokemon List
.pokemon-wrapper {
  display: flex;
  flex-wrap: wrap;
  .pokemon-item {
    margin: 8px;
    width: 46%;
    a {
      text-decoration: none;
      color: black;
      display: block;
      padding: 20px;
    }
  }
  .pokemon {
    background-color: white;
    border-radius: 10px;
    text-align: center;
    .title {
      font-size: 16px;
      text-transform: capitalize;
      font-weight: bold;
    }
    .owned {
      font-size: 12px;
      color: #AFAFAF;
      margin-top: 4px;
    }
    
    &:hover {
      background-color: #e6e6e6;
      cursor: pointer;
    }
  }
}

// Pokemon Detail
.pokemon-detail-wrapper {
  text-align: center;
  .picture-pokemon {
    width: 200px;
    margin: 30px auto;
    img {
      width: 100%;
    }
  }
  .type-pokemon {
    margin-bottom: 40px;
    ul {
      display: flex;
    }
    li {
      border-radius: 10px;
      background-color: #e6e6e6;
      width: 5rem;
      padding: 6px;
      text-align: center;
      margin-right: 5px;
      text-transform: capitalize;
      box-shadow: 0 2px 4px rgba(0, 0, 0, 0.1);
    }
  }
}

.table-container {
  border-collapse: collapse;
  width: 100%;
  box-shadow: 0 2px 4px rgba(0, 0, 0, 0.2);
  th, td {
    text-align: left;
    padding: 10px;
  }
  tr:nth-child(even) {
    background-color: #f2f2f2;
  }
  th {
    background-color: #AFAFAF;
    color: white;
    padding-left: 25px;
  }
  td {
    text-transform: capitalize;
  }
}

// My Pokemon List
.my-pokemon-list {
  display: flex;
  flex-wrap: wrap;
  .my-pokemon {
    box-shadow: 0 2px 4px rgba(0, 0, 0, 0.2);
    border-radius: 10px;
    background-color: #fff;
    margin: 8px;
    width: 46%;
    .picture-pokemon {
      width: 150px;
      margin: 20px auto;
      img {
        width: 100%;
      }
    }
  }
}